#!/bin/sh

PKG_BASE_DIR="$APKG_PKG_DIR"
DOWNLOAD_DIR=$(/bin/sed -n "/^\[Download\]/,/^\[.*\]/s/^path[ \t]*=[ \t]*\(.*$\)/\1/p" /volume0/usr/builtin/etc/samba/smb.conf)

case "$APKG_PKG_STATUS" in
        install)
                ;;
        upgrade)
        	#Write back config dir
		  [ -d $APKG_TEMP_DIR/config ] && /bin/cp -rf $PKG_BASE_DIR/config/* $APKG_TEMP_DIR/config # only use the new (master) files.
		  [ -f $APKG_TEMP_DIR/config/webui.zip ] && /bin/rm -rf $APKG_TEMP_DIR/config/webui.zip # this is no-longer needed.
                [ -d $APKG_TEMP_DIR/config ] && /bin/cp -rf $APKG_TEMP_DIR/config/* $PKG_BASE_DIR/config # copy all other settings files.
                /bin/chown -R admin $DOWNLOAD_DIR/utorrent # fix for download folders previously owned by root.
                ;;
        *)
                ;;
esac

exit 0
